Bug 60775 - mutt fails to write mbox back since glibc > 2.2.90-3
mutt fails to write mbox back since glibc > 2.2.90-3
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 09:54 EST by Fabrice Bellet
Modified: 2016-11-24 09:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2.5-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 06:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2002-03-06 09:54:47 EST
Since I upgraded from glibc-2.2.90-3 to glibc-2.2.90-8,
mutt (1.2.5.1-1) fails to write mailbox back when running as regular
user (ok as root) :

Write failed!  Saved partial mailbox to /tmp/mutt.bellet-bonobo-20478

Relevant part of the strace :
20478 1015426205.237775 stat64("/var/spool/mail/bellet", {st_mode=S_IFREG|0600,
st_size=294960, ...}) = 0
20478 1015426205.238024 open("/tmp/mutt-bonobo-20478-3", O_RDONLY) = 5
20478 1015426205.238185 fstat64(5, {st_mode=S_IFREG|0600, st_size=262, ...}) = 0
20478 1015426205.238382 mmap2(NULL, 262, PROT_READ, MAP_PRIVATE, 5, 0) = 0x403b8000
20478 1015426205.238534 _llseek(4, 190201, [190201], SEEK_SET) = 0
20478 1015426205.238677 munmap(0x403b8000, 262) = 0
20478 1015426205.238797 close(5)        = 0
20478 1015426205.238924 fcntl64(4, F_SETLK, {type=F_UNLCK, whence=SEEK_SET,
start=0, len=0}) = 0
20478 1015426205.239380 munmap(0, 0)    = -1 EINVAL (Invalid argument)
20478 1015426205.239564 close(4)        = 0
20478 1015426205.239688 getpid()        = 20478
20478 1015426205.239852 rename("/tmp/mutt-bonobo-20478-3",
"/tmp/mutt.bellet-bonobo-20478") = 0
20478 1015426205.240765 rt_sigprocmask(SIG_UNBLOCK, [HUP INT TERM TSTP WINCH],
NULL, 8) = 0
20478 1015426205.241310 write(1, "\33[39m\7", 6) = 6
20478 1015426205.242017 write(1, "\33[24;1H\33[1m\33[31m\33[49mWrite faile"...,
93) = 93
Comment 1 Mario Mikocevic 2002-03-12 11:39:23 EST
Umh, for me it's vice versa, it works as a mortal user but fails as root.

Write failed!  Saved partial mailbox to /tmp/mutt.root-danielle-1032

Anyway, just noticed that todays rawhide (03/12) has 2.2.5-26 and a LOT
of packages updated ! Are we to assume that we have to use --force to
downgrade version numbers !?
Comment 2 Mario Mikocevic 2002-03-13 01:59:03 EST
It works with 2.2.5-26 ->

# rpm -Uvh --force glibc-2.2.5-26.i386.rpm glibc-common-2.2.5-26.i386.rpm
glibc-devel-2.2.5-26.i386.rpm
Preparing...                ########################################### [100%]
   1:glibc-common           ########################################### [ 33%]
   2:glibc                  ########################################### [ 66%]
   3:glibc-devel            ########################################### [100%]
# mutt
7 kept, 1 deleted.
Comment 3 Ulrich Drepper 2004-09-30 06:32:41 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.